Package com.documentum.fc.common

# Class LabelInfo

java.lang.Object
com.documentum.fc.common.LabelInfo

public class LabelInfo extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LabelInfo(String labelId, String label_name, String label_description, String label_priority, String parent_label_name, String parent_label_id, String parent_label_description)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLabel_description()`
  `String`
  `getLabel_name()`
  `String`
  `getLabel_priority()`
  `String`
  `getLabelId()`
  `String`
  `getParent_label_description()`
  `String`
  `getParent_label_id()`
  `String`
  `getParent_label_name()`
  `void`
  `setLabel_description(String label_description)`
  `void`
  `setLabel_name(String label_name)`
  `void`
  `setLabel_priority(String label_priority)`
  `void`
  `setLabelId(String labelId)`
  `void`
  `setParent_label_description(String parent_label_description)`
  `void`
  `setParent_label_id(String parent_label_id)`
  `void`
  `setParent_label_name(String parent_label_name)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LabelInfo

    public LabelInfo(String labelId, String label_name, String label_description, String label_priority, String parent_label_name, String parent_label_id, String parent_label_description)

- ## Method Details

  - ### getLabelId

    public String getLabelId()

  - ### setLabelId

    public void setLabelId(String labelId)

  - ### getLabel_name

    public String getLabel_name()

  - ### setLabel_name

    public void setLabel_name(String label_name)

  - ### getLabel_description

    public String getLabel_description()

  - ### setLabel_description

    public void setLabel_description(String label_description)

  - ### getLabel_priority

    public String getLabel_priority()

  - ### setLabel_priority

    public void setLabel_priority(String label_priority)

  - ### getParent_label_name

    public String getParent_label_name()

  - ### setParent_label_name

    public void setParent_label_name(String parent_label_name)

  - ### getParent_label_id

    public String getParent_label_id()

  - ### setParent_label_id

    public void setParent_label_id(String parent_label_id)

  - ### getParent_label_description

    public String getParent_label_description()

  - ### setParent_label_description

    public void setParent_label_description(String parent_label_description)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`